BasicComboBoxEditor (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboBoxEditor class
Date: 2017-01-22

javax.swing.plaf.basic

## Class BasicComboBoxEditor

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxEditor

- All Implemented Interfaces:
    FocusListener, EventListener, ComboBoxEditor
  Direct Known Subclasses:
    BasicComboBoxEditor.UIResource, MetalComboBoxEditor

      public class BasicComboBoxEditor
      extends Object
      implements ComboBoxEditor, FocusListener

  The default editor for editable combo boxes. The editor is implemented as a JTextField.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BasicComboBoxEditor.UIResource` A subclass of BasicComboBoxEditor that implements UIResource.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JTextField` | `editor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicComboBoxEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(ActionListener l)` Add an ActionListener.
    `protected JTextField` | `createEditorComponent()` Creates the internal editor component.
    `void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.
    `Component` | `getEditorComponent()` Return the component that should be added to the tree hierarchy for this editor
    `Object` | `getItem()` Return the edited item
    `void` | `removeActionListener(ActionListener l)` Remove an ActionListener
    `void` | `selectAll()` Ask the editor to start editing and to select everything
    `void` | `setItem(Object anObject)` Sets the item that should be edited.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### editor

          protected JTextField editor

  - ### Constructor Detail

    - #### BasicComboBoxEditor

          public BasicComboBoxEditor()

  - ### Method Detail

    - #### getEditorComponent

          public Component getEditorComponent()

      Description copied from interface: `ComboBoxEditor`
      Return the component that should be added to the tree hierarchy for this editor
      Specified by:
        `getEditorComponent` in interface `ComboBoxEditor`

    - #### createEditorComponent

          protected JTextField createEditorComponent()

      Creates the internal editor component. Override this to provide a custom implementation.
      Returns:
        a new editor component
      Since:
        1.6

    - #### setItem

          public void setItem(Object anObject)

      Sets the item that should be edited.
      Specified by:
        `setItem` in interface `ComboBoxEditor`
      Parameters:
        `anObject` - the displayed value of the editor

    - #### getItem

          public Object getItem()

      Description copied from interface: `ComboBoxEditor`
      Return the edited item
      Specified by:
        `getItem` in interface `ComboBoxEditor`

    - #### selectAll

          public void selectAll()

      Description copied from interface: `ComboBoxEditor`
      Ask the editor to start editing and to select everything
      Specified by:
        `selectAll` in interface `ComboBoxEditor`

    - #### focusGained

          public void focusGained(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

    - #### addActionListener

          public void addActionListener(ActionListener l)

      Description copied from interface: `ComboBoxEditor`
      Add an ActionListener. An action event is generated when the edited item changes
      Specified by:
        `addActionListener` in interface `ComboBoxEditor`

    - #### removeActionListener

          public void removeActionListener(ActionListener l)

      Description copied from interface: `ComboBoxEditor`
      Remove an ActionListener
      Specified by:
        `removeActionListener` in interface `ComboBoxEditor`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.